Package org.optaplanner.core.impl.score.stream.tri

## Class SingleTriJoiner<A,​B,​C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.tri.AbstractTriJoiner<A,​B,​C>
    - - org.optaplanner.core.impl.score.stream.tri.SingleTriJoiner<A,​B,​C>

- All Implemented Interfaces:
    `TriJoiner<A,​B,​C>`

      public final class SingleTriJoiner<A,​B,​C>
      extends AbstractTriJoiner<A,​B,​C>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleTriJoiner​(BiFunction<A,​B,​?> leftMapping, JoinerType joinerType, Function<C,​?> rightMapping)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JoinerType` | `getJoinerType()` |
    `JoinerType[]` | `getJoinerTypes()` |
    `BiFunction<A,​B,​Object[]>` | `getLeftCombinedMapping()` |
    `BiFunction<A,​B,​?>` | `getLeftMapping()` |
    `BiFunction<A,​B,​Object>` | `getLeftMapping​(int index)` |
    `Function<C,​Object[]>` | `getRightCombinedMapping()` |
    `Function<C,​?>` | `getRightMapping()` |
    `Function<C,​Object>` | `getRightMapping​(int index)` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.tri.AbstractTriJoiner

      `getFilter, matches, merge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleTriJoiner

          public SingleTriJoiner​(BiFunction<A,​B,​?> leftMapping,
                                 JoinerType joinerType,
                                 Function<C,​?> rightMapping)

  - ### Method Detail

    - #### getLeftMapping

          public BiFunction<A,​B,​?> getLeftMapping()

    - #### getJoinerType

          public JoinerType getJoinerType()

    - #### getRightMapping

          public Function<C,​?> getRightMapping()

    - #### getLeftMapping

          public BiFunction<A,​B,​Object> getLeftMapping​(int index)

      Specified by:
        `getLeftMapping` in class `AbstractTriJoiner<A,​B,​C>`

    - #### getLeftCombinedMapping

          public BiFunction<A,​B,​Object[]> getLeftCombinedMapping()

      Specified by:
        `getLeftCombinedMapping` in class `AbstractTriJoiner<A,​B,​C>`

    - #### getJoinerTypes

          public JoinerType[] getJoinerTypes()

      Specified by:
        `getJoinerTypes` in class `AbstractJoiner`

    - #### getRightMapping

          public Function<C,​Object> getRightMapping​(int index)

      Specified by:
        `getRightMapping` in class `AbstractTriJoiner<A,​B,​C>`

    - #### getRightCombinedMapping

          public Function<C,​Object[]> getRightCombinedMapping()

      Specified by:
        `getRightCombinedMapping` in class `AbstractTriJoiner<A,​B,​C>`